Skip to Content

Get a content block by ID

You're viewing API version 2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.
GET
/api/v1/blocks/{id}

Retrieve a single content block including its field metadata.

Authorization

headerAuthorizationBearer <token>

Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.

Path Parameters

id*string

Header Parameters

authorization*string

Bearer token for API authentication

Response Body

200

application/json
  1. response
id*string
name*string
description*string|null
visibility*string
Value in"PRIVATE""WORKSPACE""ORGANIZATION"
category*string|null
locale*string
isPublished*boolean
sortOrder*integer
Range-9007199254740991 <= value <= 9007199254740991
workspaceId*string|null
organizationId*string|null
createdById*string
createdAt*unknown
updatedAt*unknown
fields*array<>
Example Request
curl -X GET 'https://app.sajn.se/api/v1/blocks/string' \  -H 'authorization: string'
Example Response
{  "id": "string",  "name": "string",  "description": "string",  "visibility": "PRIVATE",  "category": "string",  "locale": "string",  "isPublished": true,  "sortOrder": -9007199254740991,  "workspaceId": "string",  "organizationId": "string",  "createdById": "string",  "createdAt": null,  "updatedAt": null,  "fields": [    {      "id": "string",      "type": "string",      "position": -9007199254740991,      "fieldMeta": null    }  ]}

Was this page helpful?